<template>
  <div class="flex items-center justify-center flex-1">
    <h1>Email validation page</h1>
  </div>
</template>

<script setup>
import { onMounted } from 'vue'
// import { useMainStore } from '../../main-store.js'
import { message } from 'ant-design-vue'
import { routeNames } from '../../router/routes.js'
import { useRouter } from 'vue-router'

const router = useRouter()
// const mainStore = useMainStore()

onMounted(async () => {
  try {
    // TODO: Validate email when backend is ready
    // mainStore.user = ...
    message.success('Email validated')
    await router.push({ name: routeNames.dashboard })
  } catch (error) {
    debugger
    message.error(error.data?.message || error.message)
  }
})
</script>

<style scoped></style>
